Bug 966400 - mapserver in epel6 has serious packaging issues
mapserver in epel6 has serious packaging issues
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mapserver (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Lisý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 04:46 EDT by Tuomo Soini
Modified: 2013-06-10 13:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: mapserver-6.0.3-13.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 13:06:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2013-05-23 04:46:43 EDT
Description of problem:

6.0.3-11.el6 in epel6 testing has depdendency problems.

package: mapserver-java-6.0.3-11.el6.x86_64
  unresolved deps: 
     libmapserver.so()(64bit)
package: mapserver-perl-6.0.3-11.el6.x86_64
  unresolved deps: 
     libmapserver.so()(64bit)
package: mapserver-python-6.0.3-11.el6.x86_64
  unresolved deps: 
     libmapserver.so()(64bit)

rpm -qp --provides mapserver-6.0.3-11.el6.x86_64.rpm

libmapserver.6.0.3.so()(64bit)  
mapserver = 6.0.3-11.el6
mapserver(x86-64) = 6.0.3-11.el6

There is serious problem with provided versioned library and required non-versioned one.
Comment 1 Fedora Update System 2013-05-23 08:04:11 EDT
mapserver-6.0.3-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mapserver-6.0.3-12.el6
Comment 2 Tuomo Soini 2013-05-23 10:40:51 EDT
Sorry. This update doesn't fix root cause. Requirements and provides don't meet eatch other. Adding symlink doesn't cause package provide library without version number.


rpm -qp --provides mapserver-6.0.3-12.el6.x86_64.rpm

libmapserver.6.0.3.so()(64bit)  
mapserver = 6.0.3-12.el6
mapserver(x86-64) = 6.0.3-12.el6

Still no unversioned provide to meet requirements for sub-packages.
Comment 3 Fedora Update System 2013-05-23 15:44:48 EDT
Package mapserver-6.0.3-12.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mapserver-6.0.3-12.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5918/mapserver-6.0.3-12.el6
then log in and leave karma (feedback).
Comment 4 Tuomo Soini 2013-05-23 15:59:55 EDT
6.0.3-12.el6 doesn't fix the problem like I did say on comment #2
Comment 5 Fedora Update System 2013-05-24 14:05:20 EDT
mapserver-6.0.3-13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mapserver-6.0.3-13.el6
Comment 6 Fedora Update System 2013-06-10 13:06:13 EDT
mapserver-6.0.3-13.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.